Bug 214411 - games/tome4: fix on aarch64
Summary: games/tome4: fix on aarch64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Matthew Seaman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-10 22:41 UTC by Nikolai Lifanov
Modified: 2016-11-12 08:53 UTC (History)
1 user (show)

See Also:
koobs: merge-quarterly?


Attachments
games/tome4: fix on aarch64 (771 bytes, patch)
2016-11-10 22:41 UTC, Nikolai Lifanov
lifanov: maintainer-approval+
Details | Diff
tome4 build log (83.12 KB, text/plain)
2016-11-10 22:41 UTC, Nikolai Lifanov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nikolai Lifanov 2016-11-10 22:41:09 UTC
Created attachment 176881 [details]
games/tome4: fix on aarch64

Please apply this patch to fix the build on aarch64.
The embedded luajit2 doesn't support aarch64, so switch to portable version.
Comment 1 Nikolai Lifanov 2016-11-10 22:41:32 UTC
Created attachment 176882 [details]
tome4 build log
Comment 2 commit-hook freebsd_committer 2016-11-11 21:37:51 UTC
A commit references this bug:

Author: matthew
Date: Fri Nov 11 21:37:38 UTC 2016
New revision: 425910
URL: https://svnweb.freebsd.org/changeset/ports/425910

Log:
  Use the portable vesion of luajit when building on aarch64

  PR:		214411
  Submitted by:	lifanov@mail.lifanov.com (maintainer)
  MFH:		2016Q4

Changes:
  head/games/tome4/Makefile
Comment 3 commit-hook freebsd_committer 2016-11-11 22:00:54 UTC
A commit references this bug:

Author: matthew
Date: Fri Nov 11 22:00:41 UTC 2016
New revision: 425913
URL: https://svnweb.freebsd.org/changeset/ports/425913

Log:
  Fix build from command-line: use-before-defined of ${ARCH}

  Curiously, test bulding with poudriere worked fine.

  PR:		214411
  Reported by:	FreshPorts sanity checking
  MFH:		2016Q4

Changes:
  head/games/tome4/Makefile
Comment 4 commit-hook freebsd_committer 2016-11-12 08:52:33 UTC
A commit references this bug:

Author: matthew
Date: Sat Nov 12 08:51:59 UTC 2016
New revision: 425925
URL: https://svnweb.freebsd.org/changeset/ports/425925

Log:
  MFH: r425910 r425913

  Use the portable vesion of luajit when building on aarch64

  PR:		214411
  Submitted by:	lifanov@mail.lifanov.com (maintainer)

  Fix build from command-line: use-before-defined of ${ARCH}

  Curiously, test bulding with poudriere worked fine.

  PR:		214411
  Reported by:	FreshPorts sanity checking

  Approved by:	ports-secteam (junovitch)

Changes:
_U  branches/2016Q4/
  branches/2016Q4/games/tome4/Makefile
Comment 5 commit-hook freebsd_committer 2016-11-12 08:52:34 UTC
A commit references this bug:

Author: matthew
Date: Sat Nov 12 08:51:59 UTC 2016
New revision: 425925
URL: https://svnweb.freebsd.org/changeset/ports/425925

Log:
  MFH: r425910 r425913

  Use the portable vesion of luajit when building on aarch64

  PR:		214411
  Submitted by:	lifanov@mail.lifanov.com (maintainer)

  Fix build from command-line: use-before-defined of ${ARCH}

  Curiously, test bulding with poudriere worked fine.

  PR:		214411
  Reported by:	FreshPorts sanity checking

  Approved by:	ports-secteam (junovitch)

Changes:
_U  branches/2016Q4/
  branches/2016Q4/games/tome4/Makefile
Comment 6 Matthew Seaman freebsd_committer 2016-11-12 08:53:00 UTC
Committed, thanks!